import {BasePoller} from "../base/basePoller.js";
import {Logger} from "../logging/logger.js";

export class TiktokPoller extends BasePoller {

    constructor({userToken : userToken, endpoint : endpoint}) {
        super();
        this.endpoint = endpoint;
        this.userToken = userToken;
    }

    async pollOnce() {
        try {

            //{
            //  'Content-Type': 'application/json',
            //  'Authorization': 'Bearer ' + this.userToken,
            //}
            //let data = super.doPostRequest(this.endpoint, this.userToken, {"max_count" : 1});

        } catch (err) {
            Logger.error("Unbale to fetch TikTok content", err)
        }
    }

}